Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class ActionBindingBuilderImpl

    java.lang.Object
      com.jgoodies.binding.binder.ActionBindingBuilderImpl

All Implemented Interfaces:
  ActionBindingBuilder

    public class ActionBindingBuilderImpl

extends Object
implements ActionBindingBuilder

Holds an Action that can be bound to buttons and text fields.

Since:
  2.3
Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Constructor Summary
`ActionBindingBuilderImpl(Action action)` Creates an ActionBindingBuilderImpl for the given action.

Method Summary
`void` | `to(AbstractButton button)` Sets this builder's Action in the given button.
`void` | `to(JTextField textField)` Sets this builder's Action in the given text field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionBindingBuilderImpl

    public ActionBindingBuilderImpl(Action action)

  Creates an ActionBindingBuilderImpl for the given action.

  Parameters:
    `action` - the Action that can be bound to buttons and text fields
  Throws:
    `NullPointerException` - if `action` is `null`

Method Detail

### to

    public void to(AbstractButton button)

  Description copied from interface: `ActionBindingBuilder`
  Sets this builder's Action in the given button.

  Example:
  `binder.bind(editAction).to(editButton);`

  Specified by:
    `to` in interface `ActionBindingBuilder`
  Parameters:
    `button` - the button where the Action is set

### to

    public void to(JTextField textField)

  Description copied from interface: `ActionBindingBuilder`
  Sets this builder's Action in the given text field.

  Example:
  `binder.bind(searchAction).to(searchField);`

  Specified by:
    `to` in interface `ActionBindingBuilder`
  Parameters:
    `textField` - the field where the Action is set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.